package com.njcn.pojo.user;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * PQS_Function资源表。资源表考虑做成一颗树形结构，目前总共分成两级，一级为菜单，二级为具体事件
 * 
 */
@Table(name = "PQS_FUNCTION")
public class Permission {

	@Id
	@Column(name = "FUNCTION_INDEX")
	private String functionIndex;

	private String name;

	private String path;

	private String description;

	private Integer node;

	@Column(name = "PARENTNODE")
	private Integer parentNode;

	@Column(name = "USER_INDEX")
	private String userIndex;

	@Column(name = "UPDATETIME")
	private Date updateTime;

	private String state;

	@Column(name = "SysType")
	private String sysType;

	public String getSysType() {
		return sysType;
	}

	public void setSysType(String sysType) {
		this.sysType = sysType;
	}

	public String getFunctionIndex() {
		return functionIndex;
	}

	public void setFunctionIndex(String functionIndex) {
		this.functionIndex = functionIndex;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public Integer getNode() {
		return node;
	}

	public void setNode(Integer node) {
		this.node = node;
	}


	/**
	 * @return the parentNode
	 */
	public Integer getParentNode() {
		return parentNode;
	}

	/**
	 * @param parentNode the parentNode to set
	 */
	public void setParentNode(Integer parentNode) {
		this.parentNode = parentNode;
	}


	public String getUserIndex() {
		return userIndex;
	}

	public void setUserIndex(String userIndex) {
		this.userIndex = userIndex;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "Permission [functionIndex=" + functionIndex + ", name=" + name + ", path=" + path + ", description="
				+ description + ", node=" + node + ", parentNode=" + parentNode + ", userIndex=" + userIndex
				+ ", updateTime=" + updateTime + ", state=" + state + "]";
	}

}
